98 Commits (5389e821ef176f36cf31564c419a93e87b38ecbc)

Author SHA1 Message Date
james@rezo.net 5389e821ef Suppresion de la lib pcltar, fournie par le plugin Archives. Montée de version 7 years ago
eric@smellup.net eafacc37a2 Ajout de la version 3.2 de SPIP et mise à jour de la version maximale 3.2.99. 7 years ago
spip.franck@lien-d-amis.net 190410cdb5 Les plugins dist de spip 3.1 ne sont que pour spip 3.1, donc, changement de bornes 7 years ago
cedric@yterium.com 4c6c9a56ab Il est temps de passer en version 1.0.0 7 years ago
cedric@yterium.com 203ee23923 bugfix procure : salade de prefixe qui empechait de trouver le procure lorsqu'on decidait des actions necessaires 7 years ago
spip.franck@lien-d-amis.net 6b7b15abbe _Eric_ dit qu'il s'agit de fichiers qui ne servent plus, donc je supprime :-) 7 years ago
cedric@yterium.com 2365a6d5ee Fix https://core.spip.net/issues/3527 : accepter les paquets jusqu'a 64Mo, personalisable par la constante _SVP_PAQUET_MAX_SIZE 7 years ago
marcimat@rezo.net beb0d39f41 On déplace le squelette xml sous un nom plus approprié (il sert à affiche le contenu d'un paquet.xml, colorié si possible). 7 years ago
cedric@yterium.com e37cecb564 SVP sait maintenant trouver un plugin qui procure pour satisfaire les dependances 7 years ago
cedric@yterium.com 0626545d18 un champ procure sur les paquets pour y stocker le contenu de <procure> maintenant prise en charge par le core par https://core.spip.net/projects/spip/repository/revisions/22534 7 years ago
brunobergot@gmail.com 14bf02cb25 version 0.86.12 : fix installation d'un plugin qui nécessite un plugin du core sur un site neuf, https://core.spip.net/issues/3572 7 years ago
marcimat@rezo.net c4630827a2 Notices PHP en moins lors du téléchargement de librairies 7 years ago
cedric@yterium.com 7f3dd275fb Complement a r85500 pour fix https://core.spip.net/issues/2621 : quand on active un plugin depuis la page des plugins inactifs on retombe sur la page des plugins actifs, seul cas ou on se permet de changer la page affichee par rapport a la derniere utilisee par l'utilisateur 7 years ago
real3t@gmail.com 531a341982 Lorsqu'on allait dans déôts, clic sur un dépôt, clic sur un plugin, la page affiche une olonne XML avec une icone de puzzle cliquable qui ouvre une modalbox sensée afficher le XML du plugin. 8 years ago
real3t@gmail.com c2fe3481d2 Voici qui permet de tester facilement les plugins pas encore compatibles avec SPIP 3.1, y compris le téléchargement et l'activation des <necessite>. 8 years ago
real3t@gmail.com 1878393b5b Revert à la demande d'Eric : une boite d'info, c'est dans la navigation (bon, moi, je pense que c'est une boite de raccourcis, mais...) 8 years ago
real3t@gmail.com 596e035152 Report de [89923] : Ce bouton actualiser la liste des plugins était tellement bas que j'étais passé à côté (merci Marcimat pour le signalement) 8 years ago
marcimat@rezo.net bcf75d2898 Report de r89281 : Corriger #3416 : ne pas afficher obsolète un plugin local en présence d'une version plus élevée du même plugin, mais non compatible avec ce SPIP. 8 years ago
eric@smellup.net f8fb9b5c58 Incrément suite au préfixe précédent 8 years ago
eric@smellup.net b95272001b Le commit précédent avaot réintroduit la validation systématique. 8 years ago
eric@smellup.net ee0c61f0dc Eviter une notice suivie d'une erreur dans l'actionneur. 8 years ago
eric@smellup.net de70deb9dd Correction du ticket #3414. 8 years ago
eric@smellup.net 07da70ac84 Afficher le lien de démo que si le plugin est actif sinon le lien risque de renvoyer vers une page d'erreur 8 years ago
eric@smellup.net a770cf329c Amélioration de l'utilisation de du lien demonstration dans un paquet. 8 years ago
cedric@yterium.com 08a58de2fb forcer la mise a jour des paquets sur ?var_mode=recalcul aussi, c'est plus intuitif 8 years ago
brunobergot@gmail.com a2a0d1f818 version 0.85.2 : renommer la classe information utilisée dans svp pour ne pas se faire polluer par les styles du core 8 years ago
cedric@yterium.com 8eb7dbdc46 on ne veut pas echapper les erreurs dont les messages contiennent du html 8 years ago
cedric@yterium.com 5f9c66beb0 Forcer une mise a jour des paquets pour mettre le charset d'equerre 8 years ago
cedric@yterium.com d9eb83c7e8 Fix http://core.spip.org/issues/2768 : on stocke les infos des paquets en UTF-8 dans tous les cas (car elles sont parfois en utf-8 parfois en iso-truc parfois en entites) 8 years ago
cedric@yterium.com 000408915f Fix http://core.spip.org/issues/3020 : mieux avertir que la desinstallation supprime des données en base 8 years ago
cedric@yterium.com c59237a5c0 http://core.spip.org/issues/2621 : memoriser en session le dernier etat demande pour la page plugin (voir et verrouilles) et resservir le meme etat au prochain affichage par defaut 8 years ago
cedric@yterium.com 416d2829e2 http://core.spip.org/issues/2621 : si on a moins de 256 plugins sur le site, on affiche par defaut tous les plugins actifs ou non, verrouillés ou non 8 years ago
cedric@yterium.com f61db4c3f6 Fix http://core.spip.org/issues/3302 : 2 bugs sur SVP avec _DIR_PLUGINS_DIST 8 years ago
cedric@yterium.com 087b97697a Report de r84151 : Ferme http://core.spip.org/issues/3084 : verifier au moment de l'insertion en base si le depot n'y est pas deja, generer une erreur dans le cas contraire 8 years ago
teddy.spip@gmail.com 888683d674 Ajout de PHPDoc. 9 years ago
brunobergot@gmail.com 4a3dd76348 hover n'existe plus en jquery 1.9 9 years ago
brunobergot@gmail.com 6551de2850 html valide 9 years ago
brunobergot@gmail.com f45d54119a html valide, pas de p dans un p 9 years ago
eric@smellup.net a2c44df4c8 Eviter une notice en définissant la constante d'existence de pages publiques pour le voir en ligne 9 years ago
eric@smellup.net 939b317a62 Ne pas oublier l'incrément de version 9 years ago
cedric@yterium.com 137c3b7ac1 Reparer l'affichage du detail d'un plugin : il faut faire un ajaxReload sur toute la liste maintenant qu'on inclue plus le detail pour chaque item 10 years ago
cedric@yterium.com d409663bff Grosse optimisation du temps de calcul de la liste des plugins : 10 years ago
kent1@arscenic.info 8b8d07c071 Si c'est une lib ce n'est pas _DIR_PLUGINS_AUTO mais _DIR_LIB et avoir un plugin non activable à cause d'une lib mise à jour et plugin mis à jour autrement que via svp c'est un peu nul 10 years ago
kent1@arscenic.info 0a6ff3840c Ne pas pouvoir ajouter des libs dans _DIR_LIB si on n'est pas autorisé à "plugins_ajouter" 10 years ago
marcimat@rezo.net 379c32bf4c Report de r70068 : Message d'erreur correct lorsque c'est le XML qu'on arrive pas à télécharger, et non sa syntaxe qui est erronnée 10 years ago
eric@smellup.net 8519c97790 Report de 68058 : amélioration de l'autorisation ajouter_plugins. 10 years ago
marcimat@rezo.net 563a7296df Spéciale pour l'anniv de @jennifer29 : 10 years ago
eric@smellup.net 01b93d476e Report de r68054. 10 years ago
kent1@arscenic.info 47cd700297 Incrément de version 0.80.9, meilleure gestion de _DIR_PLUGINS_SUPPL 10 years ago
bmarne@gmail.com a3864bbf77 À la suite de r68012 -> changement du no de version 10 years ago